import { Injectable, Logger } from "@nestjs/common";
import { NotificationStrategy } from "./notification.strategy";

@Injectable()
export class EmailNotificationStrategy implements NotificationStrategy {
    private readonly logger = new Logger(EmailNotificationStrategy.name);
    constructor() { }
    async send(recipient: string, message: string): Promise<boolean> {
        this.logger.log(`${recipient}, ${message}`)
        return false;
    }
}